Last Comment Bug 662414 - Provide error page/msg for new necko error NS_ERROR_CORRUPTED_CONTENT
: Provide error page/msg for new necko error NS_ERROR_CORRUPTED_CONTENT
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla7
Assigned To: Patrick McManus [:mcmanus]
:
Mentors:
Depends on: 682511
Blocks: 663608
  Show dependency treegraph
 
Reported: 2011-06-06 15:53 PDT by Jason Duell [:jduell] (needinfo? me)
Modified: 2011-08-27 06:24 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
error page for ns_error_corrupted content v1 (12.97 KB, patch)
2011-06-06 15:53 PDT, Jason Duell [:jduell] (needinfo? me)
jduell.mcbugs: review+
bzbarsky: feedback+
Details | Diff | Review

Description Jason Duell [:jduell] (needinfo? me) 2011-06-06 15:53:28 PDT
Created attachment 537670 [details] [diff] [review]
error page for ns_error_corrupted content v1

We missed adding an error page and description message for NS_ERROR_CORRUPTED_CONTENT when we added it in bug 597706.  

Attachment written by Patrick McManus and split out from bug 232030.  I'm looking over it.
Comment 1 Jason Duell [:jduell] (needinfo? me) 2011-06-07 14:31:21 PDT
Comment on attachment 537670 [details] [diff] [review]
error page for ns_error_corrupted content v1

Wow--that's a lot of different files to tweak for adding a single error msg!  I've verified that the error page shows up fine.   But I'm not sure I'm the right person to say whether this has been tweaked in all the right places.  

Asking bz to have a look in case he knows (or knows who knows).
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-06-07 15:20:17 PDT
Comment on attachment 537670 [details] [diff] [review]
error page for ns_error_corrupted content v1

Yeah, this looks right....
Comment 3 Dão Gottwald [:dao] 2011-06-08 00:40:34 PDT
http://hg.mozilla.org/mozilla-central/rev/571b534acde9

Note You need to log in before you can comment on or make changes to this bug.